Subject: bug#60587: Patch for adding links to symbols' help documentation

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Jan 2023 14:14:35 +0200

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>,
>         "[email-masked]" <[email-masked]>
> Date: Sun, 22 Jan 2023 22:09:28 +0000
> 
> > > Shouldn't I address the concern of Drew, as well?  That a "button" is a
> > > certain technical implementation of linking which might not be known by
>                       ^^^^^^^^^^^^^^^^^^^^^^
> > > the reader.  Maybe a term like "link button" or "link-button" conveys -
> > > at the same time - the well known concept and correct technique,
> > > different from an Info link (or "cross reference")?
> > 
> > I think "button" is problematic, 
> 
> Did you perhaps mean _not_ problematic?

Yes, I don't think "button" is problematic.

> Drew thinks we should use the same standard term we
> use everywhere - including in Info: for users it's a
> link, not a button.

We use "buttons" as well as "hyperlinks".  See, e.g., the node "Mouse
References" in the user manual, which basically describes the facility
Dieter intends to use.

> > If the user types "M-x describe-text-properties RET",
> > will he/she see that there's a button at point?
> 
> Dunno what Dieter's code shows for that.  But this is
> what doing that on an xref link in Info shows:
> 
> There are text properties here:
>   font-lock-face       info-xref
>   fontified            t
>   help-echo            [Show]
>   mouse-face           highlight
> 
> I wouldn't say that a user is told there's a button
> there.

I meant the hyperlinks in the *Help* buffer.